# org.springframework.messaging.handler.invocation

## Interfaces

- AsyncHandlerMethodReturnValueHandler
- HandlerMethodArgumentResolver
- HandlerMethodReturnValueHandler

## Classes

- AbstractAsyncReturnValueHandler
- AbstractExceptionHandlerMethodResolver
- AbstractMethodMessageHandler
- CompletableFutureReturnValueHandler
- HandlerMethodArgumentResolverComposite
- HandlerMethodReturnValueHandlerComposite
- InvocableHandlerMethod
- ListenableFutureReturnValueHandler
- ReactiveReturnValueHandler

## Exceptions

- MethodArgumentResolutionException